function start_app() {

    var launched = Ti.App.Properties.getBool('loc_updated', false);
    if (launched) {
        alert("app launched in background");
    }
    function locationCallback(e) {
        Ti.API.info ("[app] got location update");
    }
    Ti.Geolocation.requestLocationPermissions(Ti.Geolocation.AUTHORIZATION_ALWAYS, function(e) {
        Ti.Geolocation.trackSignificantLocationChange = true;
        Titanium.Geolocation.addEventListener('location', locationCallback);
    });


    /**
     * Create a new `Ti.UI.TabGroup`.
     */
    var tabGroup = Ti.UI.createTabGroup();

    /**
     * Add the two created tabs to the tabGroup object.
     */
    tabGroup.addTab(createTab("Tab 1", "I am Window 1", "assets/images/tab1.png"));
    tabGroup.addTab(createTab("Tab 2", "I am Window 2", "assets/images/tab2.png"));

    /**
     * Open the tabGroup
     */
    tabGroup.open();

    /**
     * Creates a new Tab and configures it.
     *
     * @param  {String} title The title used in the `Ti.UI.Tab` and it's included `Ti.UI.Window`
     * @param  {String} message The title displayed in the `Ti.UI.Label`
     * @return {String} icon The icon used in the `Ti.UI.Tab`
     */
    function createTab(title, message, icon) {
        var win = Ti.UI.createWindow({
            title: title,
            backgroundColor: '#fff'
        });

        var label = Ti.UI.createLabel({
            text: message,
            color: "#333",
            font: {
                fontSize: 20
            }
        });

        win.add(label);

        var tab = Ti.UI.createTab({
            title: title,
            icon: icon,
            window: win
        });

        return tab;
    }
}


if (Ti.Platform.name === 'iOS' || Ti.Platform.name === 'iPhone OS') {
    var args = Ti.App.getArguments();
    if (args.launchOptionsLocationKey) {
        Ti.API.info ("[app] launched on location update");
        Ti.App.Properties.setBool('loc_updated', true);
    }
    else {
        start_app();
    }
}
else {
    start_app();
}

